List tool revisions
GET
/
v1
/
tools
/
{tool_id}
/
revisions
List tool revisions
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/tools/{tool_id}/revisions \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_count": 123,
"pinned_count": 123,
"stale_input_fields": [
"<string>"
],
"merged_input_preview": {},
"configuration": {
"url": "<string>",
"method": "GET",
"headers": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"query_params": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"body": {},
"timeout": 30,
"variables": [
{
"name": "<string>",
"type": "str",
"description": "<string>",
"required": false
}
],
"retry": {
"max_retries": 0,
"base_delay_seconds": 1,
"max_delay_seconds": 30,
"jitter": true
}
},
"transfer_target": {
"destination": "<string>",
"mode": "cold"
},
"response_schema": {
"field_mappings": [
{
"path": "<string>",
"alias": "<string>"
}
]
},
"has_secrets": false,
"input_defaults": {}
}
],
"has_more": true,
"next_cursor": "<string>"
}Authorizations
Path Parameters
Was this page helpful?
⌘I
List tool revisions
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/tools/{tool_id}/revisions \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_count": 123,
"pinned_count": 123,
"stale_input_fields": [
"<string>"
],
"merged_input_preview": {},
"configuration": {
"url": "<string>",
"method": "GET",
"headers": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"query_params": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"body": {},
"timeout": 30,
"variables": [
{
"name": "<string>",
"type": "str",
"description": "<string>",
"required": false
}
],
"retry": {
"max_retries": 0,
"base_delay_seconds": 1,
"max_delay_seconds": 30,
"jitter": true
}
},
"transfer_target": {
"destination": "<string>",
"mode": "cold"
},
"response_schema": {
"field_mappings": [
{
"path": "<string>",
"alias": "<string>"
}
]
},
"has_secrets": false,
"input_defaults": {}
}
],
"has_more": true,
"next_cursor": "<string>"
}